Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 370131 - net-analyzer/munin: merge request of two patches
Summary: net-analyzer/munin: merge request of two patches
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-05 12:38 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2011-07-20 21:14 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch #1 (0001-apc_nis-plugin-add-UPS-s-internal-temperature-to-the.patch,1.46 KB, patch)
2011-06-05 12:38 UTC, Diego Elio Pettenò (RETIRED)
Details | Diff
Patch #2 (0002-Use-munin-version-libwww-perl-version-instead-of-jus.patch,10.60 KB, patch)
2011-06-05 12:38 UTC, Diego Elio Pettenò (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2011-06-05 12:38:20 UTC
I'm attaching two patches for munin, one by me and one by idl0r (upon my request):

 - mine makes it possible to record APC SmartUPS internal temperature when using apcupsd;
 - idl0r's make munin plugins report themselves as part of munin, rather than limiting to libwww-perl (which I'm filtering on my servers due to ModSecurity).

Thanks,
Diego
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2011-06-05 12:38:46 UTC
Created attachment 275915 [details, diff]
Patch #1
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2011-06-05 12:38:59 UTC
Created attachment 275917 [details, diff]
Patch #2
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-07-18 21:41:37 UTC
patches are fine, could be included in gentoo IFF they are at least reported upstream.
Comment 4 Diego Elio Pettenò (RETIRED) gentoo-dev 2011-07-20 07:47:18 UTC
The former is already reported http://munin-monitoring.org/ticket/1057
I'll report the other now.
Comment 5 Diego Elio Pettenò (RETIRED) gentoo-dev 2011-07-20 07:51:29 UTC
And the second http://munin-monitoring.org/ticket/1109
Comment 6 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-07-20 21:14:42 UTC
Ok, thanks for following up.

+*munin-1.4.6-r1 (20 Jul 2011)
+
+  20 Jul 2011; Jeremy Olexa <darkside@gentoo.org> -munin-1.4.6.ebuild,
+  +munin-1.4.6-r1.ebuild, +files/munin-1.4.6-apc-temp.patch,
+  +files/munin-1.4.6-munin-version-identifier.patch:
+  Revision bump to add patches as reported upstream, bug 370131 by Diego Elio
+  Pettenò & Christian Ruppert